Std OrthographicCamera/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{UnfinishedDocu{{#translation:}}}}
<languages/>
<languages/>

{{Docnav
|[[Std_ViewCreate|Std ViewCreate]]
|[[Std_PerspectiveCamera|Std PerspectiveCamera]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewCreate.svg
|IconR=Std_PerspectiveCamera.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/fr
{{GuiCommand/fr
Line 13: Line 22:
</div>
</div>


<div class="mw-translate-fuzzy">
== Description ==
== Description ==
Met la caméra en mode d'affichage orthographique.
Met la caméra en mode d'affichage orthographique.
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Orthographic est (selon Wikipedia) : ... un moyen de représenter un objet tridimensionnel en deux dimensions ...
Orthographic est (selon Wikipedia) : ... un moyen de représenter un objet tridimensionnel en deux dimensions ...
</div>
</div>

[[Image:Std_OrthographicCamera_example.svg]]
{{Caption|Two cubes with the same dimensions in orthographic view}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Utilisation==
Fondamentalement, Orthographic a une profondeur fixe. Vous ne pouvez pas faire de zoom avant ou arrière. Il n'y a pas de distance de la caméra.
Choisissez {{MenuCommand|Vue → [[Image:View-isometric.png|16px]] Vue orthographique}} dans le menu supérieur.
</div>
</div>


# There are several ways to invoke the command:
La perspective a une profondeur. Vous pouvez zoomer et dézoomer. Vous pouvez juger des distances. Les caméras peuvent être éloignées de la scène.
#* Select the {{MenuCommand|View → [[Image:Std_OrthographicCamera.svg|16px]] Orthographic view}} option from the menu.
#* Use the keyboard shortcut: {{KEY|V}} then {{KEY|O}}.


==Notes==
En termes simples, orthographique est ce qui se produirait si vous écrasiez tout ce qui se trouvait dans la scène (le long de l’axe de vue des caméras) et le colliez directement contre la caméra.


* It is also possible to switch to orthographic view mode via the Mini-cube menu of the [[Navigation_Cube|Navigation Cube]].
[[Image:Orthographic_Perspective.gif]]


==Preferences==
<div class="mw-translate-fuzzy">
Vue en perspective à gauche, vue orthographique à droite
</div>


* The camera type can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Camera type}}. The selected type will be used for all 3D views of all opened documents and also for new documents. See [[Preferences_Editor#3D_View|Preferences Editor]].
<div class="mw-translate-fuzzy">
==Utilisation==
Choisissez {{MenuCommand|Vue → [[Image:View-isometric.png|16px]] Vue orthographique}} dans le menu supérieur.
</div>


==Scripting==
==Scripting==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{clear}}

To change the view to orthographic use the {{incode|setCameraType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()
}}

{{Docnav
|[[Std_ViewCreate|Std ViewCreate]]
|[[Std_PerspectiveCamera|Std PerspectiveCamera]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewCreate.svg
|IconR=Std_PerspectiveCamera.svg
|IconC=Freecad.svg
}}

{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 20:03, 9 April 2020

Std Vue orthographique

Emplacement du menu
Affichage → Vue orthographique
Ateliers
Tous
Raccourci par défaut
O
Introduit dans la version
-
Voir aussi
Vue en perspective

Description

Met la caméra en mode d'affichage orthographique.

Orthographic est (selon Wikipedia) : ... un moyen de représenter un objet tridimensionnel en deux dimensions ...

Two cubes with the same dimensions in orthographic view

Utilisation

Choisissez Vue → Vue orthographique dans le menu supérieur.

  1. There are several ways to invoke the command:
    • Select the View → Orthographic view option from the menu.
    • Use the keyboard shortcut: V then O.

Notes

  • It is also possible to switch to orthographic view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to orthographic use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()